VBOXPUTTY(8)

NAME
vboxputty - a self-dialing/-calling vboxgetty

SYNOPSIS
vboxputty -d device [-f config-file] [-c phonenumber] [-s ring-timeout] [-w wait] [-t redial] [-r redial-pause]

vboxputty [-hv]

DESCRIPTION
vboxputty is a vboxgetty, not waiting for, but triggering a call. After connect, vboxputty is acting exactly like vboxgetty. vboxputty exits with 0 if a connection was established, 99 on BUSY.

OPTIONS

-h  display a short help

-v  display the version information

-f config-file
    use config-file instead of the default vboxgetty.conf

-d device
    use device (/dev/ttyI*) for dialout

-c phonenumber
    the phonenumber to be called

-s ring-timeout
    vboxputty will dial the phonenumber and wait ring-timeout seconds for the called party to accept the call, if ring-timeout seconds are ellapsed before connect, vboxputty will hangup.

-w wait
    after the connection is established, vboxputty will wait wait seconds before starting the tcl-script

-t redial
    if the called party is BUSY, vboxputty will try redial times to get a connect

-r redial-pause
    vboxputty waits redial-pause seconds between BUSY-redials

FILES
/usr/local/vbox/etc/vboxgetty.conf

AUTHOR
Gerrit Pape <pape@innominate.de>

SEE ALSO
the vbox-documentation